3in1 + iTouchDS + GBA ExpLoader

Discussion in 'EZ-Flash' started by Sicklyboy, Dec 17, 2009.

Dec 17, 2009
  1. Sicklyboy
    OP

    Global Moderator Sicklyboy Resident Mechanical Keyboard Addict

    Joined:
    Jul 15, 2009
    Messages:
    5,620
    Location:
    [̲̅$̲̅(̲̅ ͡° ͜ʖ ͡°̲̅)̲̅$̲̅]
    Country:
    United States
    Hey GBA Temp. Please don't shoot me if this has been answered... I am completely freakin lost here. I just bought an EZ V 3in1 (New version (black)) off of a friend for a dollar (he had a DSi and cant use this obviously). Patched my browser and browser ram works fine. However, I can't, for the life of me, figure out how to get rumble to work in DS games!!!

    I have tried 3in1 rumble patcher, but it just seems to corrupt the games (ds hangs at black screen, No$gba won't load them (rom crash))(I only tested it on Elite Beat Agents, both a clean rom and a trimmed one). So I downloaded Rudolph's GBA ExpLoader, and can;t figure out how to set rumble for a game... when I go to my DS games folder, no DS roms show up.

    So... wtf am I doing wrong? Did Rudolph blacklist the iTouchDS? (forgot... I'm running GBA ExpLoader .57, from GBATemp.) I would love a reply, with some kind of solution, or some way to help me figure out what to do.

    Perhaps I should add that I am dual-booting M3 Sakura and iTouchDS firmware... I'll try it with just iTouchDS firmware since dual-booting seems to break soft reset, which I hear is essential. Still, I don't understand why my DS roms arent showing in the rom list in GBA ExpLoader.

    Pointless - Also, soon I might be getting an old version 3in1 for Christmas, at which point I will relinquish this to my little brother and use the old one.

    More edits -
    Do I need to do this? The "3.Use firmware file"? If so, what would I use? I don't see any .nds files in the iTouch folder, save for Global.nds, which AFAIK is only the global settings program. would I use boot.eng? I'm really, really, really confused...

    Ok, so GBA roms work fine, while transferring to NOR. DS (one with flashme, one without) both run it fine from NOR. I had a pokemon game that showed 16mb in GBA ExpLoader, wouldnt run from PSRAM though. Perhaps its just slightly too large, or perhaps im doing it wrong.
     
  2. how_do_i_do_that

    Member how_do_i_do_that Blue Wizard is about to die.

    Joined:
    May 16, 2008
    Messages:
    4,803
    Country:
    Antarctica
  3. Sicklyboy
    OP

    Global Moderator Sicklyboy Resident Mechanical Keyboard Addict

    Joined:
    Jul 15, 2009
    Messages:
    5,620
    Location:
    [̲̅$̲̅(̲̅ ͡° ͜ʖ ͡°̲̅)̲̅$̲̅]
    Country:
    United States
    Wow, I can't believe I forgot about that page. Really sorry abut that.

    So, correct me if I'm wrong... I need .58b since I have the 3in1+ (only one that has the option to come in black, no?), and since I have an iTouchDS, which is developed by M3, I need the patch, right?

    If so... I patched it and tried it, but it says "This hardware is now available. (blank line) (A):Confirm"
    After hitting A, it hangs at "Initialize..." I read the topic but don't see anything about this. Guess I'll take a shot in the dark and try it without the patch, but I'm doubting that will be successful...

    If you could help me out or point me where to go, I would GREATLY appreciate it how_do_i_do_that. Meanwhile, I will keep looking.

    Edit-yup. Unpatched says "This hardware is not available." Pressing A turns my DS off. So... patched is a start, at least...
     
  4. how_do_i_do_that

    Member how_do_i_do_that Blue Wizard is about to die.

    Joined:
    May 16, 2008
    Messages:
    4,803
    Country:
    Antarctica
    Yeah you have to use the patched version to use a 3in1.

    you will need the patch:
    http://filetrip.net/f4135-GBA-Exploader-0-58X-M3-Patch.html

    And this version of GBA Exploader:
    http://filetrip.net/f3680-GBA-ExpLoader-0-58b.html

    The Cyclo Team also did a modified version to use the 3in1+. You will need a login to be able to get to that one.
    http://www.teamcyclops.com/forum/index.php

    You should be aware that the M3 also has a rumble pack available dirt cheap if you find things complicated. It only cost 3 bucks, though you won't get it before christmas.

    http://www.dealextreme.com/details.dx/sku.21908
     
  5. Sicklyboy
    OP

    Global Moderator Sicklyboy Resident Mechanical Keyboard Addict

    Joined:
    Jul 15, 2009
    Messages:
    5,620
    Location:
    [̲̅$̲̅(̲̅ ͡° ͜ʖ ͡°̲̅)̲̅$̲̅]
    Country:
    United States
    Thanks for the reply. First off, let me state I would try the Cyclo team one (assuming that it works with M3 cards), however the forum admin seems to have banned every email address I own and the contact function has been disabled by the admin. So that's out of the question...

    Second, thank you for pointing me towards the M3 Rumble pack, along with the fact that it very cheap. Sadly, I don't have a card to order things online, and I would prefer to have this 3in1 solution, as I now have it.

    So, it seems my only option would be said patch... like I said, it just hangs at "Initialize..." in GBA ExpLoader when I accept that "This hardware now available." I was going to try the moonshell version of GBA ExpLoader, just for the hell of it. Since I didn't have moonshell 2, I had to install it. Upon boot, moonshell complains somehting along the lines of "Actual filesize differs from displayed filesize." and stops. Could this have to do with this problem? Im gonna format my card and try again. (Before I do that... Maybe I'll test on a spare card [​IMG] )

    Edit - nah, hangs on the spare card too -_- hmm. Thoughts?

    Once again, thanks a lot for the help so far.
     
  6. how_do_i_do_that

    Member how_do_i_do_that Blue Wizard is about to die.

    Joined:
    May 16, 2008
    Messages:
    4,803
    Country:
    Antarctica
    Ways of getting around that. You can get a debit card from walmart and put 20 bucks on it minus whatever the cost to start it. Most stores have gift credit cards you can buy with a predefined limit, you have to be careful with it though since some don't let you do certain things.

    The rumble pack I identified in the last post wasn't a M3, but it should work anyways.


    You will need a IPS patcher, you can pick one from here:
    http://filetrip.net/c125-ROM-Patchers--Header-info.html
     
  7. Sicklyboy
    OP

    Global Moderator Sicklyboy Resident Mechanical Keyboard Addict

    Joined:
    Jul 15, 2009
    Messages:
    5,620
    Location:
    [̲̅$̲̅(̲̅ ͡° ͜ʖ ͡°̲̅)̲̅$̲̅]
    Country:
    United States
    Yeah, I know of the prepaid cards (though I will never buy another from Walmart, specifically... that was an absolute nightmare -_- I am sticking to Walgreens now lol) but I'm trying to still not spend extra, rather just try to work with what I have.

    Anyway... formatted spare from FAT32 to FAT16, still no luck. Any other ideas on how to get GBA ExpLoader to work? Or, is there another loader that will handle rumble settings like this should? If not, what is the best way to just patch a rom myself for rumble? At that point I would just go back to GBA ExpLoader .57 which worked, just wouldn't give me rumble. Is .57 supposed to work with rumble of an old version 3in1?

    Still, if there is a way to get this to work from GBA ExpLoader, I would prefer that much more.

    Once again, thank you very much for your time and for being so helpful.
    ~plasma

    Edit - Alright. After more reading, it seems that the patcher I was using in my first post has issues with EBA. Tried it on NFS: Undercover, and it works though. So I guess that (for now, at least) manual patching is what I gotta do. However, you don't happen to know if there is a patch that works with EBA, do you, and if so, which one? Thanks!!!
     
  8. House Spider

    Banned House Spider In the GBAtemp attic.

    Joined:
    Apr 25, 2009
    Messages:
    1,282
    Location:
    Dundalk
    Country:
    Ireland
    .58b wasn't originaly supposed to work with the iTouch so it won't recognise its Soft-Reset that it needs for Rumble. That patch, was for GBA.
     
  9. Sicklyboy
    OP

    Global Moderator Sicklyboy Resident Mechanical Keyboard Addict

    Joined:
    Jul 15, 2009
    Messages:
    5,620
    Location:
    [̲̅$̲̅(̲̅ ͡° ͜ʖ ͡°̲̅)̲̅$̲̅]
    Country:
    United States
    You are a beast. I was using IPSWin to patch, I wasn't sure what I needed to use so I just searched "Patch DS rom with IPS" and that's what showed up. using LIPS, though, It patched and I can get to the "Expansion Mode" menu now, and get past the "Initialize..." screen... only while I boot M3 Sakura O_O... back in the iTouchDS firmware it once again hangs on "Initialize..." damnit. Grr [​IMG]

    And on M3 Sakura dual boot, it hangs at the soft reset. I haven't gotten soft reset to work right with anything in dual boot. Is there a way of getting around this?
     

Share This Page